# Class OpenApiConfigService

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:18

#####
Index

### Constructors

constructor

### Properties

_config
_operations
defaultServerIndex
Config
DefaultServerIndex
_operations
serverConfigMap

### Accessors

config
serverConfigMap
serverIds

### Methods

getBaseUrl
getOperation
insertServer
ExpandOpenApi
GetBaseUrl
GetOperation
InsertServer
Load
LoadOperations

## Constructors

### constructor

- new OpenApiConfigService(config?): OpenApiConfigService

- #### Parameters

  - config: Document<{}> = null

  #### Returns OpenApiConfigService

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:36

## Properties

### `Private` _config

_config: Document<{}> = null

#### Type declaration

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:49

### `Private` _operations

_operations: OperationMap = null

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:25

### defaultServerIndex

defaultServerIndex: number = OpenApiConfigService.DefaultServerIndex

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:24

### `Static` Config

Config: Document<{}> = null

#### Type declaration

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:19

### `Static` DefaultServerIndex

DefaultServerIndex: number = 0

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:21

### `Static` `Private` _operations

_operations: OperationMap = null

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:23

### `Static` `Private` serverConfigMap

serverConfigMap: Map<string, ServerObject[]> = ...

- Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:26

## Accessors

### config

- get config(): Document<{}>

- #### Returns Document<{}>

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:51

### `Private` serverConfigMap

- get serverConfigMap(): Map<string, ServerObject[]>

- #### Returns Map<string, ServerObject[]>

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:28

### serverIds

- get serverIds(): string[]

- #### Returns string[]

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:32

## Methods

### getBaseUrl

- getBaseUrl(serverIndex?, serverId?): string

- #### Parameters

  - serverIndex: number = ...
  - `Optional` serverId: string

  #### Returns string

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:208

### getOperation

- getOperation(operationId): OperationObjectWithMetadata

- #### Parameters

  - operationId: string

  #### Returns OperationObjectWithMetadata

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:189

### insertServer

- insertServer(serverConfig, index?, serverId?): void

- #### Parameters

  - serverConfig: ServerObject
  - index: number = ...
  - `Optional` serverId: string

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:247

### `Static` `Private` ExpandOpenApi

- ExpandOpenApi(config): Promise<Document<{}>>
- `Private`

  Replaces all $ref with the concrete definition

  #### Parameters

  - config: Document<{}>

  #### Returns Promise<Document<{}>>

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:183

### `Static` `Private` GetBaseUrl

- GetBaseUrl(config, serverIndex?): string

- #### Parameters

  - config: Document<{}>
  - serverIndex: number = ...

  #### Returns string

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:158

### `Static` GetOperation

- GetOperation(operationId): OperationObjectWithMetadata

- #### Parameters

  - operationId: string

  #### Returns OperationObjectWithMetadata

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:97

### `Static` InsertServer

- InsertServer(serverConfig, index, serverId?, config?): void

- #### Parameters

  - serverConfig: ServerObject
  - index: number
  - `Optional` serverId: string
  - config: Document<{}> = ...

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:227

### `Static` Load

- Load(openApiUrl?): Promise<void>

- Used to load the app open api config from a remote resource.

  Promise.all([ OpenApiDataSourceLoader.Load() ]) .then(() => platformBrowserDynamic().bootstrapModule(AppModule)) .catch(err => console.error(err))

  #### Parameters

  - openApiUrl: string = 'openapi.json'

  #### Returns Promise<void>

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:66

### `Static` `Private` LoadOperations

- LoadOperations(config): OperationMap

- #### Parameters

  - config: Document<{}>

  #### Returns OperationMap

  - Defined in packages/angular/open-api/src/lib/open-api-config.service.ts:113